#ifndef WHELL_DETECTOR__HH___
#define WWHELL_DETECTOR__HH___
#include "yolov8-seg.h"

class TensorrtWheelDetector{
public:
    TensorrtWheelDetector(const std::string &model_file, const std::string &class_file);
    ~TensorrtWheelDetector();


    bool detect(cv::Mat& img,std::vector<Object>& objs);
    bool detect(cv::Mat& img,std::vector<Object>& objs,cv::Mat& res);

    static std::vector<cv::Point> getPointsFromObj(Object obj);

private:
    YOLOv8_seg*  yolov8_;
    cv::Size     imgsz_;
    int      seg_h_        = 120;
    int      seg_w_        = 160;
    int      seg_channels_ = 32;

};

#endif
